'use strict';

const messageBus = require('./messageBus');

module.exports = app => {
    function configureHooks(jest, env) {
        env.beforeAll(() => app.load(
            {initServer: false, scheduleJobs: false},
            {messageBus: messageBus(jest)}
        ));
        env.afterAll(() => app.unload());
    }

    return { configureHooks };
};
