
const http = require('http');
const { GraphQLClient } = require('graphql-request');


const agent = new http.Agent({ keepAlive: true });

function request(endpoint, query) {
  const client = new GraphQLClient(endpoint, {
    agent
  });

  return client.request(query);
}

module.exports = {
  agent, request
};
