module.exports = expect => {
    async function expectBad(cb, message = 'A problem has occurred.') {
        let data;
        try {
            await cb();
        } catch (err) {
            data = err;
        }
        expect(data.response.errors[0].message).toMatch(message);
        return data;
    }

    return {
        expectBad
    };
};
