const {TOPICS} = require('../../libs/messageBus');

module.exports = jest => jest.fn(() => ({
    TOPICS,
    bus: {
        asyncIterator: jest.fn(() => ({
            next: new Promise(() => {
                throw new Error(
                    'TODO: Mock messageBus.asyncIterator()'
                );
            })
        })),
        publish: jest.fn(() => Promise.resolve(true)),
        subscribe:
          jest.fn(() => Promise.resolve({globalCounter: 1, localCounter: 1}))
    },
    start: jest.fn(() => Promise.resolve()),
    stop: jest.fn(() => Promise.resolve())
}));
